import { html as c } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as l } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, d = Object.getOwnPropertyDescriptor, s = (v, t, p, h) => {
  for (var e = h > 1 ? void 0 : h ? d(t, p) : t, o = v.length - 1, a; o >= 0; o--)
    (a = v[o]) && (e = (h ? a(t, p, e) : a(e)) || e);
  return h && e && m(t, p, e), e;
};
let r = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--qrCodeLarge", this.class = "c-pieIcon c-pieIcon--qrCodeLarge", this.name = "IconQrCodeLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--qrCodeLarge"><path d="M15.125 15.125h-4.882v-4.882h4.882zm-3.133-1.75h1.383v-1.383h-1.383z"></path><path d="M21.775 15.125h-4.882v-4.882h4.882zm-3.133-1.75h1.383v-1.383h-1.383z"></path><path d="M15.125 21.775h-4.882v-4.882h4.882zm-3.133-1.75h1.383v-1.383h-1.383z"></path><path d="M21.775 18.52v-1.628h-1.627v1.628z"></path><path d="M18.52 18.52v-1.628h-1.628v1.628z"></path><path d="M20.148 20.148V18.52H18.52v1.628z"></path><path d="M21.775 21.775v-1.627h-1.627v1.627z"></path><path d="M18.52 21.775v-1.627h-1.628v1.627z"></path><path d="M25.625 5.5h-5.25v1.75h4.375v4.375h1.75v-5.25a.88.88 0 0 0-.875-.875M5.5 6.375v5.25h1.75V7.25h4.375V5.5h-5.25a.88.88 0 0 0-.875.875m1.75 14H5.5v5.25c0 .481.394.875.875.875h5.25v-1.75H7.25zm17.5 4.375h-4.375v1.75h5.25a.88.88 0 0 0 .875-.875v-5.25h-1.75z"></path></svg>`;
  }
};
s([
  i({ type: String, reflect: !0 })
], r.prototype, "size", 2);
s([
  i({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = s([
  l("icon-qr-code-large")
], r);
export {
  r as IconQrCodeLarge
};
